Debian Bug report logs - #673257
automysqlbackup: Error 1142 after upgrade to MySQL 5.5

version graph

Package: automysqlbackup; Maintainer for automysqlbackup is Thomas Goirand <zigo@debian.org>; Source for automysqlbackup is src:automysqlbackup.

Reported by: Daniel Andersson <sskraep@gmail.com>

Date: Thu, 17 May 2012 10:46:58 UTC

Severity: normal

Found in version automysqlbackup/2.6+debian-2

Fixed in version automysqlbackup/2.6+debian.2-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#673257; Package automysqlbackup. (Thu, 17 May 2012 10:47:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Andersson <sskraep@gmail.com>:
New Bug report received and forwarded. Copy sent to Thomas Goirand <zigo@debian.org>. (Thu, 17 May 2012 10:47:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Andersson <sskraep@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: automysqlbackup: Error 1142 after upgrade to MySQL 5.5
Date: Thu, 17 May 2012 12:44:25 +0200
Package: automysqlbackup
Version: 2.6+debian-2
Severity: normal

Since upgrade to mysql-server-5.5 (and mysql-client-5.5 and so on), I started
getting mails from cron each morning at 07:35 when automysqlbackup is run:

> Subject: ERRORS REPORTED: MySQL Backup error Log for d-f05 -
>
> mysqldump: Got error: 1142: SELECT,LOCK TABL command denied to user 'debian-
sys-maint'@'localhost' for table 'cond_instances' when using LOCK TABLES

, but all backups seem to be OK.

This is directly followed by a mail

> Subject: MySQL Backup Log for d-f05 - 2012-05-17_07h35m

which contains backup information on all local affected databases.
automysqlbackup used to be completely quiet (MAILCONTENT=quiet), so this mail
is also new.

I set MAILCONTENT=stdout and ran `sudo /usr/sbin/automysqlbackup` in a terminal
and got first the log of all backed up databases, followed by

###### WARNING ######
Errors reported during AutoMySQLBackup execution.. Backup failed
Error log below..
mysqldump: Got error: 1142: SELECT,LOCK TABL command denied to user 'debian-
sys-maint'@'localhost' for table 'cond_instances' when using LOCK TABLES

, but as before, all backups seem to be OK.

---

This is probably not interesting for this issue, but I include it since it was
something I noticed at the same time:

For some reason only ~half of the databases got a status message such as:

Daily Backup of Database ( pureftpd )
Rotating last weeks Backup...
removed
`/var/lib/automysqlbackup/daily/pureftpd/pureftpd_2012-05-10_07h35m.torsdag.sql.gz'

, whereas the other half missed the last "removed" line. I guess this is an
entirely other issue, where there is some second precision offset on the
timestamps from last weeks backup that makes the script think of them as either
6d23h59m59s or 7d00h00m00s old. This is not a problem in itself, just a
curiosity.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages automysqlbackup depends on:
ii  mysql-client                     5.5.23-2
ii  mysql-client-5.5 [mysql-client]  5.5.23-2

Versions of packages automysqlbackup recommends:
ii  mutt  1.5.21-5+b1

automysqlbackup suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#673257; Package automysqlbackup. (Thu, 17 May 2012 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. (Thu, 17 May 2012 16:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 673257@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Daniel Andersson <sskraep@gmail.com>, 673257@bugs.debian.org
Subject: Re: Bug#673257: automysqlbackup: Error 1142 after upgrade to MySQL 5.5
Date: Fri, 18 May 2012 00:36:28 +0800
On 05/17/2012 06:44 PM, Daniel Andersson wrote:
> Package: automysqlbackup
> Version: 2.6+debian-2
> Severity: normal
> 
> Since upgrade to mysql-server-5.5 (and mysql-client-5.5 and so on), I started
> getting mails from cron each morning at 07:35 when automysqlbackup is run:
> 
>> Subject: ERRORS REPORTED: MySQL Backup error Log for d-f05 -
>>
>> mysqldump: Got error: 1142: SELECT,LOCK TABL command denied to user 'debian-
> sys-maint'@'localhost' for table 'cond_instances' when using LOCK TABLES
> 
> , but all backups seem to be OK.

Hi Daniel,

First, thanks for the report.

What is this table cond_instances? Something specific to your setup?

Normally, debian-sys-maint is a standard account in Debian, with root
access to every database. The /etc/default/automysqlbackup setup is
using what is stored in /etc/mysql/debian.cnf to connect to your MySQL
db by default. So if this account doesn't have access to this table, or
if this table isn't lockable, then this is somehow to expect. But I will
not be able to know until you tell me what this table is. I have
installed MySQL 5.5 on my SID test box, and I didn't see any table
called like this...

Please let me know,

Thomas Goirand (zigo)




Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#673257; Package automysqlbackup. (Thu, 17 May 2012 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to A A <sskraep@gmail.com>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Thu, 17 May 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 673257@bugs.debian.org (full text, mbox):

From: A A <sskraep@gmail.com>
To: 673257@bugs.debian.org
Subject: Re: Bug#673257: automysqlbackup: Error 1142 after upgrade to MySQL 5.5
Date: Thu, 17 May 2012 19:47:43 +0200
On Thu, May 17, 2012 at 6:36 PM, Thomas Goirand <zigo@debian.org> wrote:
> What is this table cond_instances? Something specific to your setup?

Great question, I just thought it was some standard internal table. It
seems it is a part of performance measurements in MySQL 5.5 as per
<http://dev.mysql.com/doc/refman/5.5/en/performance-schema.html> .
"cond_instances" is a table in the "performance_schema" database.

Reading more about this, it seems this database is not at all relevant
for backup, so I guess I'll just skip the complete
"performance_schema" database.

Somewhat related is <http://bugs.mysql.com/bug.php?id=61414> where the
error seems to boil down to mysqldump and the nature of these new
tables.

If this is something common to all new MySQL 5.5 installations,
probably this database should be ignored by default in automysqlbackup
to avoid surprises. I can't answer why it appeared for me and not in
your test installation, though. Maybe there is something else about my
setup that made it appear, though I don't know what that could be (no
exotic setup here, that I know of).

Regards
Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#673257; Package automysqlbackup. (Thu, 17 May 2012 19:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Thu, 17 May 2012 19:45:10 GMT) Full text and rfc822 format available.

Message #20 received at 673257@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: A A <sskraep@gmail.com>, 673257@bugs.debian.org
Subject: Re: Bug#673257: automysqlbackup: Error 1142 after upgrade to MySQL 5.5
Date: Fri, 18 May 2012 03:44:00 +0800
On 05/18/2012 01:47 AM, A A wrote:
> If this is something common to all new MySQL 5.5 installations,
> probably this database should be ignored by default in automysqlbackup
> to avoid surprises.

I agree with the above.

> I can't answer why it appeared for me and not in
> your test installation, though.

I miss read the output of "ls". I do have it.

I'll update automysqlbackup to ignore that db, but I can't tell when
that's going to be done. I hope to be able to do it before the freeze of
Wheezy (it shouldn't be a problem, that's quite a trivial thing to change).

Cheers,

Thomas




Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Fri, 25 May 2012 12:21:45 GMT) Full text and rfc822 format available.

Notification sent to Daniel Andersson <sskraep@gmail.com>:
Bug acknowledged by developer. (Fri, 25 May 2012 12:22:45 GMT) Full text and rfc822 format available.

Message #25 received at 673257-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 673257-close@bugs.debian.org
Subject: Bug#673257: fixed in automysqlbackup 2.6+debian.2-1
Date: Fri, 25 May 2012 12:17:10 +0000
Source: automysqlbackup
Source-Version: 2.6+debian.2-1

We believe that the bug you reported is fixed in the latest version of
automysqlbackup, which is due to be installed in the Debian FTP archive:

automysqlbackup_2.6+debian.2-1.debian.tar.gz
  to main/a/automysqlbackup/automysqlbackup_2.6+debian.2-1.debian.tar.gz
automysqlbackup_2.6+debian.2-1.dsc
  to main/a/automysqlbackup/automysqlbackup_2.6+debian.2-1.dsc
automysqlbackup_2.6+debian.2-1_all.deb
  to main/a/automysqlbackup/automysqlbackup_2.6+debian.2-1_all.deb
automysqlbackup_2.6+debian.2.orig.tar.gz
  to main/a/automysqlbackup/automysqlbackup_2.6+debian.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated automysqlbackup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Fri, 25 May 2012 11:42:27 +0000
Source: automysqlbackup
Binary: automysqlbackup
Architecture: source all
Version: 2.6+debian.2-1
Distribution: unstable
Urgency: low
Maintainer: Thomas Goirand <zigo@debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 automysqlbackup - daily, weekly and monthly backup for your MySQL database
Closes: 631218 673257
Changes: 
 automysqlbackup (2.6+debian.2-1) unstable; urgency=low
 .
   * Doesn't backup the performance_schema and information_schema databases by
   default anymore (Closes: #673257).
   * Bumps Standard-Version: to 3.9.3 (no change required).
   * Added an option to backup routines with --routines (Closes: #631218).
Checksums-Sha1: 
 3e6ca081abcb5ddf57455d4e7dcfaa830029a656 1321 automysqlbackup_2.6+debian.2-1.dsc
 883d90437a7c40d2911775e7143f4d2ce0eea962 8395 automysqlbackup_2.6+debian.2.orig.tar.gz
 837fe424c6341934633a6e0d29dc7ab0a1f37063 5741 automysqlbackup_2.6+debian.2-1.debian.tar.gz
 23a60a48ebfe2bae41b5a154745fbc3652734c1f 14590 automysqlbackup_2.6+debian.2-1_all.deb
Checksums-Sha256: 
 e70ed9dc0952dff13008ac57c9d0833be0bf581ffe4c84d74da2cb62ae98dbc6 1321 automysqlbackup_2.6+debian.2-1.dsc
 60d1cc61947cda2f7d4edeaafbac862603512d092e64afb8a6283f36e0fbadb9 8395 automysqlbackup_2.6+debian.2.orig.tar.gz
 4473e4c3189b899fd4ba4456050a9d353c4be37f030b568b61fd93f5f8aa20df 5741 automysqlbackup_2.6+debian.2-1.debian.tar.gz
 b2e29ef3d44d7ca4f6241d2c3b38a21b6b1a28aebb5e243c4bbb0715b17e5676 14590 automysqlbackup_2.6+debian.2-1_all.deb
Files: 
 c5d6ac4e56bce61ccfed1b28688cb0fe 1321 admin extra automysqlbackup_2.6+debian.2-1.dsc
 1c71a22389bc09e8340e1c69892f1a2b 8395 admin extra automysqlbackup_2.6+debian.2.orig.tar.gz
 1613a0fa267d9ac517a6cb07f1b6a9e4 5741 admin extra automysqlbackup_2.6+debian.2-1.debian.tar.gz
 102225e1d23427dff56c541514659417 14590 admin extra automysqlbackup_2.6+debian.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+/dFAACgkQl4M9yZjvmkl8xACfZqPkH4jV489cUrnGiHLyTJVj
CXoAnAg2rEBuBtCCrDZBndXflA0ctcUH
=V2cB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jul 2012 07:40:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:21:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.